Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class RscmDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO
ru.bgcrm.plugin.bgbilling.proto.dao.RscmDAO

public class RscmDAO extends BillingModuleDAO

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO

  `moduleId`

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RscmDAO(User user, String billingId, int moduleId)`
  `RscmDAO(User user, DBInfo dbInfo, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteService(int contractId, int contractServiceId, Date month)`
  `RscmService`
  `getService(int contractId, int contractServiceId)`
  `void`
  `getServices(Pageable<RscmService> result, int contractId, Date dateFrom, Date dateTo)`
  `void`
  `updateService(RscmService service)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO

  `getModuleId, setModuleId`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RscmDAO

    public RscmDAO(User user, String billingId, int moduleId)

  - ### RscmDAO

    public RscmDAO(User user, DBInfo dbInfo, int moduleId)

- ## Method Details

  - ### getServices

    public void getServices(Pageable<RscmService> result, int contractId, Date dateFrom, Date dateTo)

  - ### getService

    public RscmService getService(int contractId, int contractServiceId)

  - ### updateService

    public void updateService(RscmService service)

  - ### deleteService

    public void deleteService(int contractId, int contractServiceId, Date month)